Package org.eclipse.birt.report.model.api

# Class OdaDesignerStateHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.StructureHandle
org.eclipse.birt.report.model.api.OdaDesignerStateHandle

public class OdaDesignerStateHandle extends StructureHandle
The structure handle of the Oda designer state.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle

`structContext`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`OdaDesignerStateHandle(DesignElementHandle elementHandle, org.eclipse.birt.report.model.core.MemberRef context)`
Deprecated.
`OdaDesignerStateHandle(DesignElementHandle elementHandle, org.eclipse.birt.report.model.core.StructureContext context)`
Constructs the handle of Oda Designer state.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getContentAsBlob()`
Returns the content data as byte arrays.
`String`
`getContentAsString()`
Returns the content data as string.
`String`
`getVersion()`
Returns the version of the designer state's data.
`void`
`setContentAsBlob(byte[] contentBlob)`
Sets the content data as byte arrays.
`void`
`setContentAsString(String contentString)`
Sets the content data as string.
`void`
`setVersion(String version)`
Sets the version of the designer state's data.

### Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle

`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, isLocal, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OdaDesignerStateHandle

public OdaDesignerStateHandle(DesignElementHandle elementHandle, org.eclipse.birt.report.model.core.StructureContext context)
Constructs the handle of Oda Designer state.

Parameters:
  `elementHandle` - the oda data set element.
  `context` - context to the structure.

### OdaDesignerStateHandle

@Deprecated public OdaDesignerStateHandle(DesignElementHandle elementHandle, org.eclipse.birt.report.model.core.MemberRef context)
Deprecated.
Constructs the handle of Oda Designer state.

Parameters:
  `elementHandle` - the oda data set element.
  `context` - context to the structure

## Method Details

### getVersion

public String getVersion()
Returns the version of the designer state's data.

Returns:
  the version of the designer state's data.

### setVersion

public void setVersion(String version)
Sets the version of the designer state's data.

Parameters:
  `version` - the version of the designer state's data.

### getContentAsBlob

public byte[] getContentAsBlob()
Returns the content data as byte arrays.

Returns:
  the content data as byte arrays.

### setContentAsBlob

public void setContentAsBlob(byte[] contentBlob)
Sets the content data as byte arrays.

Parameters:
  `contentBlob` - the content data as byte arrays.

### getContentAsString

public String getContentAsString()
Returns the content data as string.

Returns:
  the content data as string.

### setContentAsString

public void setContentAsString(String contentString)
Sets the content data as string.

Parameters:
  `contentString` - the content data as string.